httpd-cvs mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From ic...@apache.org
Subject svn commit: r1757525 - in /httpd/test/mod_h2/trunk: ./ conf/ htdocs/test.example.org/ mh2fuzz/ test/ test/go/
Date Wed, 24 Aug 2016 13:34:25 GMT
Author: icing
Date: Wed Aug 24 13:34:25 2016
New Revision: 1757525

URL: http://svn.apache.org/viewvc?rev=1757525&view=rev
Log:
test cases for intermediate responses, version check cleanups

Added:
    httpd/test/mod_h2/trunk/test/test_intermediates.sh
Modified:
    httpd/test/mod_h2/trunk/conf/modules.conf
    httpd/test/mod_h2/trunk/configure.ac
    httpd/test/mod_h2/trunk/htdocs/test.example.org/upload.py
    httpd/test/mod_h2/trunk/mh2fuzz/mh2f_fuzzer.c
    httpd/test/mod_h2/trunk/test/go/get.go
    httpd/test/mod_h2/trunk/test/test.sh
    httpd/test/mod_h2/trunk/test/test_common.sh
    httpd/test/mod_h2/trunk/test/test_curl_post.sh
    httpd/test/mod_h2/trunk/test/test_frames.sh
    httpd/test/mod_h2/trunk/test/test_fuzz.sh
    httpd/test/mod_h2/trunk/test/test_h2proxy_load.sh
    httpd/test/mod_h2/trunk/test/test_header.sh
    httpd/test/mod_h2/trunk/test/test_nghttp_post.sh
    httpd/test/mod_h2/trunk/test/test_proxy.sh
    httpd/test/mod_h2/trunk/test/test_push.sh
    httpd/test/mod_h2/trunk/test/test_ssl.sh
    httpd/test/mod_h2/trunk/test/test_trailer.sh
    httpd/test/mod_h2/trunk/test/test_vars.sh

Modified: httpd/test/mod_h2/trunk/conf/modules.conf
URL: http://svn.apache.org/viewvc/httpd/test/mod_h2/trunk/conf/modules.conf?rev=1757525&r1=1757524&r2=1757525&view=diff
==============================================================================
--- httpd/test/mod_h2/trunk/conf/modules.conf (original)
+++ httpd/test/mod_h2/trunk/conf/modules.conf Wed Aug 24 13:34:25 2016
@@ -11,7 +11,7 @@
 # LoadModule foo_module modules/mod_foo.so
 #
 
-LoadModule authn_file_module modules/mod_authn_file.so
+#LoadModule authn_file_module modules/mod_authn_file.so
 #LoadModule authn_dbm_module modules/mod_authn_dbm.so
 #LoadModule authn_anon_module modules/mod_authn_anon.so
 #LoadModule authn_dbd_module modules/mod_authn_dbd.so

Modified: httpd/test/mod_h2/trunk/configure.ac
URL: http://svn.apache.org/viewvc/httpd/test/mod_h2/trunk/configure.ac?rev=1757525&r1=1757524&r2=1757525&view=diff
==============================================================================
--- httpd/test/mod_h2/trunk/configure.ac (original)
+++ httpd/test/mod_h2/trunk/configure.ac Wed Aug 24 13:34:25 2016
@@ -52,7 +52,7 @@ AC_ARG_WITH([serverdir], [AS_HELP_STRING
     [Use serverdir directory for setup [default=gen/apache]])],
     [request_serverdir=$withval], [request_serverdir=$PWD/gen/apache])
 
-NGHTTP2_VERSION=1.11.1
+NGHTTP2_VERSION=1.13.0
 
 AC_ARG_WITH([nghttp2-version], [AS_HELP_STRING([--with-nghttp2-version],
     [Use nghttp2 of specified version [default=<ignore>]])],
@@ -130,7 +130,7 @@ TEST_DEP=""
 ################################################################################
 # curl 
 ################################################################################
-CURL_VERSION=7.48.0
+CURL_VERSION=7.50.1
 
 AC_PATH_PROG([CURL], [curl])
 if test "x${CURL}" != "x"; then
@@ -284,6 +284,7 @@ if test "x$ac_cv_nghttp2" != "xyes"; the
     case "$OPENSSL_VERSION_PRESENT" in
         1.0.2*)
             # acceptable
+            CURL_CONF='--with-nghttp2=$(prefix)'
             ;;
         *)
             NGHTTP2_DEPS="$NGHTTP2_DEPS gen/.openssl-installed"

Modified: httpd/test/mod_h2/trunk/htdocs/test.example.org/upload.py
URL: http://svn.apache.org/viewvc/httpd/test/mod_h2/trunk/htdocs/test.example.org/upload.py?rev=1757525&r1=1757524&r2=1757525&view=diff
==============================================================================
--- httpd/test/mod_h2/trunk/htdocs/test.example.org/upload.py (original)
+++ httpd/test/mod_h2/trunk/htdocs/test.example.org/upload.py Wed Aug 24 13:34:25 2016
@@ -43,7 +43,7 @@ else:
 
 print "Status: %s" % (status,)
 print """\
-    Content-Type: text/html\n
+Content-Type: text/html\n
     <html><body>
     <p>%s</p>
     </body></html>""" % (message,)

Modified: httpd/test/mod_h2/trunk/mh2fuzz/mh2f_fuzzer.c
URL: http://svn.apache.org/viewvc/httpd/test/mod_h2/trunk/mh2fuzz/mh2f_fuzzer.c?rev=1757525&r1=1757524&r2=1757525&view=diff
==============================================================================
--- httpd/test/mod_h2/trunk/mh2fuzz/mh2f_fuzzer.c (original)
+++ httpd/test/mod_h2/trunk/mh2fuzz/mh2f_fuzzer.c Wed Aug 24 13:34:25 2016
@@ -441,6 +441,42 @@ static h2c_session_obs *smh_create(const
 }
 
 /*******************************************************************************
+ * Make a request with a Expect: 100-continue header
+ ******************************************************************************/
+ typedef struct fuzzer_x100 {
+    h2c_session_obs obs;
+} fuzzer_x100;
+
+static void x100_submit(h2c_session *s, h2c_stream *stream, h2c_request *r, 
+                        h2c_session_obs *obs)
+{
+    fuzzer_x100 *f = obs->ctx;
+    apr_size_t hn = 128;
+    char *name;
+
+    if (s->c->verbose > 1) {
+        fprintf(stderr, "h2c_conn(%ld-%d): submit expect: 100-continue header\n", 
+                s->c->id, stream->id);
+    }
+    
+    h2c_request_headers_set(r, "Expect", "100-continue");
+}
+
+static h2c_session_obs *x100_create(const char *name, apr_pool_t *p)
+{
+    fuzzer_ds *f;
+    size_t prelen = sizeof("super-many-header")-1;
+    
+    f = apr_pcalloc(p, sizeof(*f));
+    f->name             = apr_pstrdup(p, name);
+    f->obs.ctx          = f;
+    f->obs.before_submit = x100_submit;
+    
+    return &f->obs;
+}
+
+
+/*******************************************************************************
  * fuzzing factory
  ******************************************************************************/ 
 
@@ -478,5 +514,8 @@ struct h2c_session_obs *mh2f_session_fuz
     if (HAS_PREFIX("super-long-path", name)) {
         return slp_create(name, p);
     }
+    if (HAS_PREFIX("x100", name)) {
+        return x100_create(name, p);
+    }
     return NULL;
 }

Modified: httpd/test/mod_h2/trunk/test/go/get.go
URL: http://svn.apache.org/viewvc/httpd/test/mod_h2/trunk/test/go/get.go?rev=1757525&r1=1757524&r2=1757525&view=diff
==============================================================================
--- httpd/test/mod_h2/trunk/test/go/get.go (original)
+++ httpd/test/mod_h2/trunk/test/go/get.go Wed Aug 24 13:34:25 2016
@@ -42,8 +42,8 @@ func main() {
             log.Fatal(err)
         } else {
 //            defer res.Body.Close()
-            res.Write(os.Stdout)
-            //io.Copy(os.Stdout, res.Body)
+//            res.Write(os.Stdout)
+            io.Copy(os.Stdout, res.Body)
 //            if err != nil {
 //                log.Fatal(err)
 //            }

Modified: httpd/test/mod_h2/trunk/test/test.sh
URL: http://svn.apache.org/viewvc/httpd/test/mod_h2/trunk/test/test.sh?rev=1757525&r1=1757524&r2=1757525&view=diff
==============================================================================
--- httpd/test/mod_h2/trunk/test/test.sh (original)
+++ httpd/test/mod_h2/trunk/test/test.sh Wed Aug 24 13:34:25 2016
@@ -36,19 +36,57 @@ echo "curl is $CURL"
 
 export CURL="$CURL"
 
-# starting go client tests, still hangs with 1.7rc4, see
-# https://github.com/golang/go/issues/16572
-#$SHELL "$TEST_DIR"/go/test_get.sh $HTTPS_AUTH                &&
+fail() {
+    echo "$@"
+    exit 1
+}
+
+min_version2()
+{
+    local version1="$1"
+    local version2="$2"
+    
+    local winner=$(echo -e "$version2\n$version1" | sort -t. -k1,1n -k2,2n | head -1)
+    test "$winner" = "$version1" && return 0
+    return 1
+}
+
+export TEST_GO=no
+case "$(type -p go)" in
+    *go)
+        goversion=$(go version)
+        goversion=${goversion##go version go}
+        goversion=${goversion%% *}
+        gov=${goversion%%rc*} # trim release candidates
+        if min_version2 1.6 "$gov"; then
+            echo "go tests: enabled, version=$goversion"
+            export TEST_GO=yes
+        else
+            echo "go tests: disabled, version $goversion < 1.7"
+        fi
+        ;;
+    *)
+        echo "go tests: disabled, go executable not found"
+        ;;
+esac
 
 $SHELL "$TEST_DIR"/test_curl_altsvc.sh $HTTP_AUTH  $HTTPS_AUTH                &&
 $SHELL "$TEST_DIR"/test_proto_order.sh $HTTPS_AUTH $HTTPS_AUTH_2              &&
 $SHELL "$TEST_DIR"/test_alt_host.sh    $HTTPS_AUTH $HTTPS_AUTH_2              &&
 $SHELL "$TEST_DIR"/test_ssl.sh         $HTTPS_AUTH                            &&
 $SHELL "$TEST_DIR"/test_upgrade.sh     $HTTP_AUTH  $HTTPS_AUTH                &&
+$SHELL "$TEST_DIR"/test_ ediates.sh $HTTPS_AUTH                     || fail
+
 $SHELL "$TEST_DIR"/test_nghttp_get.sh  $HTTPS_AUTH                            &&
 $SHELL "$TEST_DIR"/test_nghttp_post.sh $HTTPS_AUTH                            &&
 $SHELL "$TEST_DIR"/test_curl_get.sh    $HTTPS_AUTH                            &&
-$SHELL "$TEST_DIR"/test_curl_post.sh   $HTTPS_AUTH                            &&
+$SHELL "$TEST_DIR"/test_curl_post.sh   $HTTPS_AUTH                       ||fail
+
+if test "$TEST_GO" = "yes"; then
+    # starting go client tests, still hangs with 1.7rc4, see
+    $SHELL "$TEST_DIR"/go/test_get.sh $HTTPS_AUTH || fail
+fi
+
 $SHELL "$TEST_DIR"/test_vars.sh        $HTTPS_AUTH                            &&
 $SHELL "$TEST_DIR"/test_window_update.sh $HTTP_AUTH_2                         &&
 $SHELL "$TEST_DIR"/test_header.sh      $HTTPS_AUTH                            &&

Modified: httpd/test/mod_h2/trunk/test/test_common.sh
URL: http://svn.apache.org/viewvc/httpd/test/mod_h2/trunk/test/test_common.sh?rev=1757525&r1=1757524&r2=1757525&view=diff
==============================================================================
--- httpd/test/mod_h2/trunk/test/test_common.sh (original)
+++ httpd/test/mod_h2/trunk/test/test_common.sh Wed Aug 24 13:34:25 2016
@@ -60,22 +60,31 @@ MH2FUZZ=mh2fuzz/mh2fuzz
 
 HTTPD_VERSION="$($APXS -q HTTPD_VERSION)"
 
-# return 0 if HTTPD_VERSION is equal or greater than given version
 min_version()
 {
-    local version="$1"
+    local version1="$1"
+    local version2="$2"
     
-    local winner=$(echo -e "$HTTPD_VERSION\n$version" | sort -t. -k1,1n -k2,2n -k3,3n | head
-1)
-    test "$winner" = "$version" && return 0
+    local winner=$(echo -e "$version2\n$version1" | sort -t. -k1,1n -k2,2n -k3,3n | head
-1)
+    test "$winner" = "$version1" && return 0
     return 1
 }
 
+# return 0 if HTTPD_VERSION is equal or greater than given version
+min_httpd_version()
+{
+    local version="$1"
+    
+    min_version "$version" "$HTTPD_VERSION"
+}
+
+
 fail() {
     echo "$@"
     exit 1
 }
 
-if min_version 2.4.21; then
+if min_httpd_version 2.4.21; then
     HTTP2_PROTOCOL="HTTP/2.0"
 else
     HTTP2_PROTOCOL="HTTP/2"
@@ -84,7 +93,7 @@ if test "$EXP_PROTOCOL" = "DEFAULT"; the
     EXP_PROTOCOL="$HTTP2_PROTOCOL"
 fi
 
-if min_version 2.4.19; then
+if min_httpd_version 2.4.19; then
     case "$URL_PREFIX" in 
         */proxy|*/rewrite)
             EXP_H2PUSH=""

Modified: httpd/test/mod_h2/trunk/test/test_curl_post.sh
URL: http://svn.apache.org/viewvc/httpd/test/mod_h2/trunk/test/test_curl_post.sh?rev=1757525&r1=1757524&r2=1757525&view=diff
==============================================================================
--- httpd/test/mod_h2/trunk/test/test_curl_post.sh (original)
+++ httpd/test/mod_h2/trunk/test/test_curl_post.sh Wed Aug 24 13:34:25 2016
@@ -62,7 +62,3 @@ curl_post_data upload.py $GEN/data-10k "
 curl_post_data upload.py $GEN/data-100k "100k file upload via http/2" --http2
 curl_post_data upload.py $GEN/data-1m "1m file upload via http/2" --http2
 
-
-
-
-

Modified: httpd/test/mod_h2/trunk/test/test_frames.sh
URL: http://svn.apache.org/viewvc/httpd/test/mod_h2/trunk/test/test_frames.sh?rev=1757525&r1=1757524&r2=1757525&view=diff
==============================================================================
--- httpd/test/mod_h2/trunk/test/test_frames.sh (original)
+++ httpd/test/mod_h2/trunk/test/test_frames.sh Wed Aug 24 13:34:25 2016
@@ -44,7 +44,7 @@ mh2fuzz_check_frames not-there "frames G
 0/0/1/0/0 (2/3/4/5/0xx)
 EOF
 
-if min_version 2.4.19; then
+if min_httpd_version 2.4.19; then
 
 URL_PREFIX="$HTTPS_URL"
 mh2fuzz_check_frames index.html "frames GET $URL_PREFIX" -f submit-delay100 <<EOF

Modified: httpd/test/mod_h2/trunk/test/test_fuzz.sh
URL: http://svn.apache.org/viewvc/httpd/test/mod_h2/trunk/test/test_fuzz.sh?rev=1757525&r1=1757524&r2=1757525&view=diff
==============================================================================
--- httpd/test/mod_h2/trunk/test/test_fuzz.sh (original)
+++ httpd/test/mod_h2/trunk/test/test_fuzz.sh Wed Aug 24 13:34:25 2016
@@ -175,7 +175,7 @@ fuzz-upload $HTTP_AUTH || fail
 echo "test frames sent/recv on GETs"
 $SHELL "$TEST_DIR"/test_frames.sh      $HTTP_AUTH  $HTTPS_AUTH      || fail
 
-if min_version 2.4.19; then
+if min_httpd_version 2.4.19; then
 
 echo "test unexp. connection close with likelihood xx%"             &&
 fuzz-close $HTTP_AUTH  1 2 5 10 25                                  &&

Modified: httpd/test/mod_h2/trunk/test/test_h2proxy_load.sh
URL: http://svn.apache.org/viewvc/httpd/test/mod_h2/trunk/test/test_h2proxy_load.sh?rev=1757525&r1=1757524&r2=1757525&view=diff
==============================================================================
--- httpd/test/mod_h2/trunk/test/test_h2proxy_load.sh (original)
+++ httpd/test/mod_h2/trunk/test/test_h2proxy_load.sh Wed Aug 24 13:34:25 2016
@@ -56,7 +56,7 @@ load_suite() {
     load_run "64 connections" $n -c 64 -t 4 -m 100
 }
 
-if min_version 2.4.21; then
+if min_httpd_version 2.4.21; then
 
 load_suite $HTTPS_AUTH_2/h2proxy 10000
 load_suite $HTTPS_AUTH_2/h2proxy-rewrite 1000

Modified: httpd/test/mod_h2/trunk/test/test_header.sh
URL: http://svn.apache.org/viewvc/httpd/test/mod_h2/trunk/test/test_header.sh?rev=1757525&r1=1757524&r2=1757525&view=diff
==============================================================================
--- httpd/test/mod_h2/trunk/test/test_header.sh (original)
+++ httpd/test/mod_h2/trunk/test/test_header.sh Wed Aug 24 13:34:25 2016
@@ -24,7 +24,7 @@ echo "test headers: $@"
 
 URL_PREFIX="$1"
 
-if min_version 2.4.19; then
+if min_httpd_version 2.4.19; then
 
 mh2fuzz_check_results / "request with Host, but no :authority..." -f host-header <<EOF
 1/0/0/0/0 (2/3/4/5/0xx)

Added: httpd/test/mod_h2/trunk/test/test_intermediates.sh
URL: http://svn.apache.org/viewvc/httpd/test/mod_h2/trunk/test/test_intermediates.sh?rev=1757525&view=auto
==============================================================================
--- httpd/test/mod_h2/trunk/test/test_intermediates.sh (added)
+++ httpd/test/mod_h2/trunk/test/test_intermediates.sh Wed Aug 24 13:34:25 2016
@@ -0,0 +1,47 @@
+#!/bin/bash
+# Copyright 2015 greenbytes GmbH (https://www.greenbytes.de)
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+source $(dirname $0)/test_common.sh
+
+curl_check_status() {
+    DOC="$1"; shift
+    MSG="$1"; shift
+    echo -n " * curl status $MSG..."
+    rm -rf $TMP
+    mkdir -p $TMP
+    cat > $TMP/expected
+    ${CURL} -D - "$@" ${URL_PREFIX}/index.html | fgrep "HTTP/2 " > $TMP/status
+    diff -b $TMP/expected $TMP/status || exit 1
+    echo ok.
+}
+
+if min_httpd_version 2.5.0; then
+    echo "test intermediate responses"
+    
+    curl_check_status /index.html "h2 no expect" <<EOF
+HTTP/2 200
+EOF
+
+    curl_check_status /index.html "h2 expect" -H 'Expect: 100-continue' <<EOF
+HTTP/2 100
+HTTP/2 200
+EOF
+
+fi
+
+
+
+

Modified: httpd/test/mod_h2/trunk/test/test_nghttp_post.sh
URL: http://svn.apache.org/viewvc/httpd/test/mod_h2/trunk/test/test_nghttp_post.sh?rev=1757525&r1=1757524&r2=1757525&view=diff
==============================================================================
--- httpd/test/mod_h2/trunk/test/test_nghttp_post.sh (original)
+++ httpd/test/mod_h2/trunk/test/test_nghttp_post.sh Wed Aug 24 13:34:25 2016
@@ -72,7 +72,7 @@ nghttp_post_file upload.py $GEN/data-1m
 
 
 # Tests without content-length *and* without content-type announced
-if min_version 2.4.18; then
+if min_httpd_version 2.4.18; then
     nghttp_post_data echo.py $GEN/data-1k "1k upload w/o c-len+c-type" --no-content-length
 fi
 

Modified: httpd/test/mod_h2/trunk/test/test_proxy.sh
URL: http://svn.apache.org/viewvc/httpd/test/mod_h2/trunk/test/test_proxy.sh?rev=1757525&r1=1757524&r2=1757525&view=diff
==============================================================================
--- httpd/test/mod_h2/trunk/test/test_proxy.sh (original)
+++ httpd/test/mod_h2/trunk/test/test_proxy.sh Wed Aug 24 13:34:25 2016
@@ -119,7 +119,7 @@ large-upload() {
     do-upload 1m 8 --http1.1
 }
 
-if min_version 2.4.21; then
+if min_httpd_version 2.4.21; then
 large-upload $HTTPS_AUTH/h2cproxy                                             &&
 large-upload $HTTPS_AUTH/h2proxy                                              &&
 $SHELL "$TEST_DIR"/test_nghttp_get.sh  $HTTPS_AUTH/h2cproxy-rewrite           &&

Modified: httpd/test/mod_h2/trunk/test/test_push.sh
URL: http://svn.apache.org/viewvc/httpd/test/mod_h2/trunk/test/test_push.sh?rev=1757525&r1=1757524&r2=1757525&view=diff
==============================================================================
--- httpd/test/mod_h2/trunk/test/test_push.sh (original)
+++ httpd/test/mod_h2/trunk/test/test_push.sh Wed Aug 24 13:34:25 2016
@@ -24,7 +24,7 @@ echo "test server push: $@"
 
 URL_PREFIX="$1"
 
-if min_version 2.4.18; then
+if min_httpd_version 2.4.18; then
     # 2 link headers
     nghttp_check_fcontent 006-push.html "get 006-push"   <<EOF
 006-push.html
@@ -48,7 +48,7 @@ EOF
 006-push4.html
 EOF
 
-if min_version 2.4.19; then
+if min_httpd_version 2.4.19; then
     # push-policies (https://tools.ietf.org/html/draft-ruellan-http-accept-push-policy-00)
     # a. no pushes desired
     nghttp_check_fcontent 006-push.html "policy: none" -H 'accept-push-policy: none'  <<EOF
@@ -100,7 +100,7 @@ EOF
 
     fi
     
-    if min_version 2.4.19; then
+    if min_httpd_version 2.4.19; then
 
 nghttp_check_promises "duplicate push" $URL_PREFIX/006-push2.html $URL_PREFIX/006-push3.html
<< EOF
 PUSH_PROMISE frame <...>

Modified: httpd/test/mod_h2/trunk/test/test_ssl.sh
URL: http://svn.apache.org/viewvc/httpd/test/mod_h2/trunk/test/test_ssl.sh?rev=1757525&r1=1757524&r2=1757525&view=diff
==============================================================================
--- httpd/test/mod_h2/trunk/test/test_ssl.sh (original)
+++ httpd/test/mod_h2/trunk/test/test_ssl.sh Wed Aug 24 13:34:25 2016
@@ -39,7 +39,7 @@ URL_PREFIX="$URL1"
 # nghttp gives RST_STREAM in verbose mode, check that the given urls
 # signal fallback to HTTP/1.1
 #
-if min_version 2.4.18; then
+if min_httpd_version 2.4.18; then
     nghttp_check_rst_error ssl/renegotiate/cipher "HTTP_1_1_REQUIRED" "nghttp reneg cipher"
     nghttp_check_rst_error ssl/renegotiate/verify "HTTP_1_1_REQUIRED" "nghttp reneg verify"
 

Modified: httpd/test/mod_h2/trunk/test/test_trailer.sh
URL: http://svn.apache.org/viewvc/httpd/test/mod_h2/trunk/test/test_trailer.sh?rev=1757525&r1=1757524&r2=1757525&view=diff
==============================================================================
--- httpd/test/mod_h2/trunk/test/test_trailer.sh (original)
+++ httpd/test/mod_h2/trunk/test/test_trailer.sh Wed Aug 24 13:34:25 2016
@@ -24,7 +24,7 @@ echo "test trailers: $@"
 
 URL_PREFIX="$1"
 
-if min_version 2.4.18; then
+if min_httpd_version 2.4.18; then
     # basic test if we survive trailers via HTTP/2 at all
     # single
     nghttp_post_data echo.py $GEN/data-1k "1 trailer" \

Modified: httpd/test/mod_h2/trunk/test/test_vars.sh
URL: http://svn.apache.org/viewvc/httpd/test/mod_h2/trunk/test/test_vars.sh?rev=1757525&r1=1757524&r2=1757525&view=diff
==============================================================================
--- httpd/test/mod_h2/trunk/test/test_vars.sh (original)
+++ httpd/test/mod_h2/trunk/test/test_vars.sh Wed Aug 24 13:34:25 2016
@@ -26,7 +26,7 @@ URL_PREFIX="$1"
 ################################################################################
 # check HTTP2 ap_expr var
 ################################################################################
-if min_version 2.4.19; then
+if min_httpd_version 2.4.19; then
 
 nghttp_check_status h2only.html 404 "only h2 access"
 nghttp_check_status noh2.html 403 "no h2 access"



Mime
View raw message